Applications
List applications
Retrieve a paginated list of all applications the authenticated API key has access to. Results are ordered by creation date (most recent first) and can be paginated using the limit and offset query parameters.
GET
/
applications
List applications
curl --request GET \
--url https://api.sevalla.com/v3/applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sevalla.com/v3/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sevalla.com/v3/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
"name": "my-app",
"display_name": "My Application",
"status": "deploymentSuccess",
"type": "app",
"source": "privateGit",
"is_suspended": false,
"created_at": "2025-01-30T00:00:00.000Z",
"updated_at": "2025-01-30T00:00:00.000Z"
}
],
"total": 42,
"offset": 0,
"limit": 25
}{
"message": "Unauthorized",
"status": 401,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Forbidden",
"status": 403,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Internal Server Error",
"status": 500,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Query Parameters
Maximum number of items per page
Required range:
1 <= x <= 100Example:
25
Number of items to skip
Required range:
0 <= x <= 10000Example:
0
Response
Default Response
List of items
Show child attributes
Show child attributes
Total number of items matching the query
Required range:
0 <= x <= 10000Example:
42
Current pagination offset
Required range:
0 <= x <= 10000Example:
0
Current pagination limit
Required range:
1 <= x <= 100Example:
25
Was this page helpful?
⌘I
List applications
